package com.hw.qms.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 检验项目对象 qms_check_project
 *
 * @author xins
 * @date 2024-01-23
 */
public class QmsCheckProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 检验项目ID */
    private Long checkProjectId;

    /** 检验项目名称 */
    @Excel(name = "检验项目名称")
    private String checkProjectName;

    /** 项目状态(0禁用,1启用) */
    @Excel(name = "项目状态(0禁用,1启用)")
    private String checkProjectStatus;

    /** 检验项目属性(1定性,2定量) */
    @Excel(name = "检验项目属性(1定性,2定量)")
    private String checkProjectProperty;

    /** 检验方式(1,全检2,抽检);先默认全检，页面不显示；可以是一个批次有30%的物料需要质检，这30%的物料里检查的项目又可以抽检 */
    @Excel(name = "检验方式(1,全检2,抽检);先默认全检，页面不显示；可以是一个批次有30%的物料需要质检，这30%的物料里检查的项目又可以抽检")
    private String checkMode;

    /** 抽检比例 */
    @Excel(name = "抽检比例")
    private BigDecimal checkSample;

    /** 检验工具 */
    @Excel(name = "检验工具")
    private String checkTool;

    /** 单位 */
    @Excel(name = "单位")
    private String unitCode;

    /** 标准值 */
    @Excel(name = "标准值")
    private BigDecimal standardValue;

    /** 上差值 */
    @Excel(name = "上差值")
    private BigDecimal upperDiff;

    /** 下差值 */
    @Excel(name = "下差值")
    private BigDecimal downDiff;

    /** 缺陷严重程度(3轻度缺陷 5中度缺陷 7重度缺陷)) */
    @Excel(name = "缺陷严重程度(1轻度缺陷 2中度缺陷 3重度缺陷))")
    private String defectSeverity;

    /**检验规则ID*/
    private Long checkRuleId;

    public void setCheckProjectId(Long checkProjectId)
    {
        this.checkProjectId = checkProjectId;
    }

    public Long getCheckProjectId()
    {
        return checkProjectId;
    }
    public void setCheckProjectName(String checkProjectName)
    {
        this.checkProjectName = checkProjectName;
    }

    public String getCheckProjectName()
    {
        return checkProjectName;
    }
    public void setCheckProjectStatus(String checkProjectStatus)
    {
        this.checkProjectStatus = checkProjectStatus;
    }

    public String getCheckProjectStatus()
    {
        return checkProjectStatus;
    }
    public void setCheckProjectProperty(String checkProjectProperty)
    {
        this.checkProjectProperty = checkProjectProperty;
    }

    public String getCheckProjectProperty()
    {
        return checkProjectProperty;
    }
    public void setCheckMode(String checkMode)
    {
        this.checkMode = checkMode;
    }

    public String getCheckMode()
    {
        return checkMode;
    }
    public void setCheckSample(BigDecimal checkSample)
    {
        this.checkSample = checkSample;
    }

    public BigDecimal getCheckSample()
    {
        return checkSample;
    }
    public void setCheckTool(String checkTool)
    {
        this.checkTool = checkTool;
    }

    public String getCheckTool()
    {
        return checkTool;
    }
    public void setUnitCode(String unitCode)
    {
        this.unitCode = unitCode;
    }

    public String getUnitCode()
    {
        return unitCode;
    }
    public void setStandardValue(BigDecimal standardValue)
    {
        this.standardValue = standardValue;
    }

    public BigDecimal getStandardValue()
    {
        return standardValue;
    }
    public void setUpperDiff(BigDecimal upperDiff)
    {
        this.upperDiff = upperDiff;
    }

    public BigDecimal getUpperDiff()
    {
        return upperDiff;
    }
    public void setDownDiff(BigDecimal downDiff)
    {
        this.downDiff = downDiff;
    }

    public BigDecimal getDownDiff()
    {
        return downDiff;
    }
    public void setDefectSeverity(String defectSeverity)
    {
        this.defectSeverity = defectSeverity;
    }

    public String getDefectSeverity()
    {
        return defectSeverity;
    }

    public Long getCheckRuleId() {
        return checkRuleId;
    }

    public void setCheckRuleId(Long checkRuleId) {
        this.checkRuleId = checkRuleId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkProjectId", getCheckProjectId())
            .append("checkProjectName", getCheckProjectName())
            .append("checkProjectStatus", getCheckProjectStatus())
            .append("checkProjectProperty", getCheckProjectProperty())
            .append("checkMode", getCheckMode())
            .append("checkSample", getCheckSample())
            .append("checkTool", getCheckTool())
            .append("unitCode", getUnitCode())
            .append("standardValue", getStandardValue())
            .append("upperDiff", getUpperDiff())
            .append("downDiff", getDownDiff())
            .append("defectSeverity", getDefectSeverity())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
